/* =========================
   RESET
========================= */

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}


/* =========================
   ROOT
========================= */

html,
body {

  width: 100%;
  height: 100%;

  overflow: hidden;

  overscroll-behavior: none;

  touch-action: manipulation;

  background: var(--bg-primary);

  color: var(--text-primary);
}


/* =========================
   BODY
========================= */

body {

  font-family: var(--font-main);

  overflow-x: hidden;
}


/* =========================
   APP SHELL
========================= */

.app {

  width: 100%;
  max-width: var(--app-max-width);

  min-height: 100vh;

  margin: 0 auto;

  background: var(--bg-primary);

  padding: 40px var(--padding-screen);
}


/* =========================
   GLOBAL INPUTS
========================= */

input,
button,
textarea,
select {

  font-family: inherit;

  font-size: var(--text-md);
}


/* =========================
   BUTTON RESET
========================= */

button {

  border: none;

  background: none;

  cursor: pointer;
}